Skip to main content
GET
https://api.onstacks.io
/
v1
/
wallets
/
{walletId}
/
transactions
List wallet transactions
curl --request GET \
  --url https://api.onstacks.io/v1/wallets/{walletId}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "direction": "<string>",
        "status": "<string>",
        "description": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "network_code": "<string>",
        "asset_symbol": "<string>",
        "amount_base_units": "<string>",
        "from_address": "<string>",
        "to_address": "<string>",
        "tx_hash": "<string>",
        "tx_error": "<string>",
        "completed_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Path Parameters

walletId
string<uuid>
required

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Response

Wallet transaction list

data
object
required
error
null
required
request_id
string
required